Bug 863837 - TRIM requests are not passed down to the underlying md raid devices
TRIM requests are not passed down to the underlying md raid devices
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 15:36 EDT by Alex G.
Modified: 2013-10-01 12:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-08 08:53:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex G. 2012-10-07 15:36:16 EDT
Description of problem:
TRIM requests are not passed down to the underlying MD raid devices. Even with modern SSDs, like the Vertex 4, we still see slowdowns in workstation usage after available sectors are filled up.

Version-Release number of selected component (if applicable):
NA

How reproducible:
Always.

Steps to Reproduce:
1. Create a mirrored md array
2. Create a partition and ext4 filesystem (let's call it /mnt/mirror) on the md array
3. fstrim /mnt/mirror
  
Actual results:
fstrim: /mnt/mirror: FITRIM ioctl failed: Operation not supported

Expected results:
No error.

Additional info:
As I understand, TRIM support for MDRAID is not yet merged in the kernel, but patches do exist.
Comment 1 Josh Boyer 2012-10-08 08:53:27 EDT
When the patches are merged upstream, we'll pick them up via an update.  Until then, this is really an upstream issue.
Comment 2 Daniel Cotton 2013-10-01 12:17:24 EDT
Now that the patches are merged upstream (https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/diff/drivers/md/raid1.c?id=2ff8cc2c6d4e323de71a42affeb3041fa17d5b1), what's happening with this?

Note You need to log in before you can comment on or make changes to this bug.